package com.javadude.java8;

public class Person3 implements Comparable<Person3> {
	public enum Sex { Male, Female}
	private String name;
	private int age;
	private Person3 father;
	private Sex sex;
	
	public Sex getSex() {
		return sex;
	}
	public void setSex(Sex sex) {
		this.sex = sex;
	}
	public Person3 getFather() {
		return father;
	}
	public void setFather(Person3 father) {
		this.father = father;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public int getAge() {
		return age;
	}
	public void setAge(int age) {
		this.age = age;
	}

	public Person3(String name, int age, Person3 father, Sex sex) {
		this.name = name;
		this.age = age;
		this.father = father;
		this.sex = sex;
	}
	@Override
	public String toString() {
		return "Person [name=" + name + ", age=" + age + "]";
	}
	@Override
	public int compareTo(Person3 o) {
		return name.compareTo(o.getName());
	}
}
